diff --git a/game/core/src/main/java/net/minecraft/core/block/Blocks.java b/game/core/src/main/java/net/minecraft/core/block/Blocks.java
index 7d1b75589..adae62878 100644
--- a/game/core/src/main/java/net/minecraft/core/block/Blocks.java
+++ b/game/core/src/main/java/net/minecraft/core/block/Blocks.java
@@ -748,60 +747,60 @@ public final class Blocks {
         .withTags(BlockTags.MINEABLE_BY_PICKAXE, BlockTags.CHAINLINK_FENCES_CONNECT);
 
     public static final @NotNull Block<BlockLogicWireRedstone> WIRE_REDSTONE = register("wire.redstone", "minecraft:block/wire_redstone", 450, BlockLogicWireRedstone::new)
-        .withSound(BlockSounds.STONE).withHardness(0.0F).withDisabledNeighborNotifyOnMetadataChange().withOverrideColor(MaterialColor.redstone).setStatParent(() -> Items.DUST_REDSTONE)
+        .withSound(BlockSounds.STONE).withHardness(0.0F).withOverrideColor(MaterialColor.redstone).setStatParent(() -> Items.DUST_REDSTONE)
         .withTags(BlockTags.BROKEN_BY_FLUIDS, BlockTags.NOT_IN_CREATIVE_MENU, BlockTags.PREVENT_MOB_SPAWNS);
 
     public static final @NotNull Block<?> TORCH_REDSTONE_IDLE = register("torch.redstone.idle", "minecraft:block/torch_redstone_idle", 460, (b) -> new BlockLogicTorchRedstone(b, false))
-        .withSound(BlockSounds.WOOD).withHardness(0.0F).withDisabledNeighborNotifyOnMetadataChange().withOverrideColor(MaterialColor.redstone).setStatParent(() -> Blocks.TORCH_REDSTONE_ACTIVE)
+        .withSound(BlockSounds.WOOD).withHardness(0.0F).withOverrideColor(MaterialColor.redstone).setStatParent(() -> Blocks.TORCH_REDSTONE_ACTIVE)
         .withTags(BlockTags.BROKEN_BY_FLUIDS, BlockTags.NOT_IN_CREATIVE_MENU, BlockTags.PREVENT_MOB_SPAWNS);
     public static final @NotNull Block<?> TORCH_REDSTONE_ACTIVE = register("torch.redstone.active", "minecraft:block/torch_redstone_active", 461, (b) -> new BlockLogicTorchRedstone(b, true))
-        .withSound(BlockSounds.WOOD).withHardness(0.0F).withLightEmission(0.5F).withDisabledNeighborNotifyOnMetadataChange().withOverrideColor(MaterialColor.redstone)
+        .withSound(BlockSounds.WOOD).withHardness(0.0F).withLightEmission(0.5F).withOverrideColor(MaterialColor.redstone)
         .withTags(BlockTags.BROKEN_BY_FLUIDS, BlockTags.PREVENT_MOB_SPAWNS);
 
     public static final @NotNull Block<?> BUTTON_STONE = register("button.stone", "minecraft:block/button_stone", 470, BlockLogicButton::new)
-        .withSound(BlockSounds.STONE).withHardness(0.5F).withDisabledNeighborNotifyOnMetadataChange()
+        .withSound(BlockSounds.STONE).withHardness(0.5F)
         .withTags(BlockTags.BROKEN_BY_FLUIDS, BlockTags.MINEABLE_BY_PICKAXE, BlockTags.PREVENT_MOB_SPAWNS);
     public static final @NotNull Block<?> BUTTON_PLANKS_OAK = register("button.planks", "minecraft:block/button_planks", 471, BlockLogicButtonPlanksOak::new)
-        .withSound(BlockSounds.WOOD).withHardness(0.5F).withDisabledNeighborNotifyOnMetadataChange()
+        .withSound(BlockSounds.WOOD).withHardness(0.5F)
         .withTags(BlockTags.BROKEN_BY_FLUIDS, BlockTags.MINEABLE_BY_AXE, BlockTags.PREVENT_MOB_SPAWNS);
     public static final @NotNull Block<BlockLogicButtonPainted> BUTTON_PLANKS_PAINTED = register("button.planks.painted", "minecraft:block/button_planks_painted", 472, BlockLogicButtonPainted::new)
         .setBlockItem((b) -> new ItemBlockPainted<>(b, true))
-        .withSound(BlockSounds.WOOD).withHardness(0.5F).withDisabledNeighborNotifyOnMetadataChange()
+        .withSound(BlockSounds.WOOD).withHardness(0.5F)
         .withTags(BlockTags.BROKEN_BY_FLUIDS, BlockTags.MINEABLE_BY_AXE, BlockTags.PREVENT_MOB_SPAWNS);
 
     public static final @NotNull Block<?> LEVER_COBBLE_STONE = register("lever.cobble.stone", "minecraft:block/lever_cobble_stone", 480, BlockLogicLever::new)
-        .withSound(BlockSounds.STONE).withHardness(0.5F).withDisabledNeighborNotifyOnMetadataChange()
+        .withSound(BlockSounds.STONE).withHardness(0.5F)
         .withTags(BlockTags.BROKEN_BY_FLUIDS, BlockTags.MINEABLE_BY_PICKAXE, BlockTags.PREVENT_MOB_SPAWNS);
 
     public static final @NotNull Block<?> PRESSURE_PLATE_STONE = register("pressureplate.stone", "minecraft:block/pressure_plate_stone", 490, (b) -> new BlockLogicPressurePlate<>(b, Mob.class, Materials.STONE))
-        .withSound(BlockSounds.STONE).withHardness(0.5F).withDisabledNeighborNotifyOnMetadataChange()
+        .withSound(BlockSounds.STONE).withHardness(0.5F)
         .withTags(BlockTags.MINEABLE_BY_PICKAXE, BlockTags.PREVENT_MOB_SPAWNS);
     public static final @NotNull Block<?> PRESSURE_PLATE_PLANKS_OAK = register("pressureplate.planks.oak", "minecraft:block/pressure_plate_planks_oak", 491, (b) -> new BlockLogicPressurePlate<>(b, Entity.class, Materials.WOOD))
-        .withSound(BlockSounds.WOOD).withHardness(0.5F).withDisabledNeighborNotifyOnMetadataChange()
+        .withSound(BlockSounds.WOOD).withHardness(0.5F)
         .withTags(BlockTags.MINEABLE_BY_AXE, BlockTags.PREVENT_MOB_SPAWNS);
     public static final @NotNull Block<?> PRESSURE_PLATE_COBBLE_STONE = register("pressureplate.cobble.stone", "minecraft:block/pressure_plate_cobble_stone", 492, (b) -> new BlockLogicPressurePlate<>(b, Player.class, Materials.STONE))
-        .withSound(BlockSounds.STONE).withHardness(0.5F).withDisabledNeighborNotifyOnMetadataChange()
+        .withSound(BlockSounds.STONE).withHardness(0.5F)
         .withTags(BlockTags.MINEABLE_BY_PICKAXE, BlockTags.PREVENT_MOB_SPAWNS);
     public static final @NotNull Block<BlockLogicPressurePlatePainted> PRESSURE_PLATE_PLANKS_OAK_PAINTED = register("pressureplate.planks.oak.painted", "minecraft:block/pressure_plate_planks_oak_painted", 493, (BlockLogicSupplier<BlockLogicPressurePlatePainted>)b -> new BlockLogicPressurePlatePainted<>(b, Entity.class, Materials.WOOD))
         .setBlockItem((b) -> new ItemBlockPainted<>(b, true))
-        .withSound(BlockSounds.WOOD).withHardness(0.5F).withDisabledNeighborNotifyOnMetadataChange()
+        .withSound(BlockSounds.WOOD).withHardness(0.5F)
         .withTags(BlockTags.MINEABLE_BY_AXE, BlockTags.PREVENT_MOB_SPAWNS);
 
     public static final @NotNull Block<BlockLogicMotionSensor> MOTION_SENSOR_IDLE = register("motionsensor.idle", "minecraft:block/motion_sensor_idle", 500, (BlockLogicSupplier<BlockLogicMotionSensor>)(b) -> new BlockLogicMotionSensor(b, false))
-        .withSound(BlockSounds.STONE).withHardness(1.5F).withBlastResistance(10F).withDisabledNeighborNotifyOnMetadataChange().withOverrideColor(MaterialColor.stone)
+        .withSound(BlockSounds.STONE).withHardness(1.5F).withBlastResistance(10F).withOverrideColor(MaterialColor.stone)
         .withTags(BlockTags.MINEABLE_BY_PICKAXE, BlockTags.CHAINLINK_FENCES_CONNECT);
     public static final @NotNull Block<BlockLogicMotionSensor> MOTION_SENSOR_ACTIVE = register("motionsensor.active", "minecraft:block/motion_sensor_active", 501, (BlockLogicSupplier<BlockLogicMotionSensor>)(b) -> new BlockLogicMotionSensor(b, true))
         .withSound(BlockSounds.STONE).withLightEmission(0.3F).withHardness(1.5F).withBlastResistance(10F).withOverrideColor(MaterialColor.stone).setStatParent(() -> MOTION_SENSOR_IDLE)
         .withTags(BlockTags.NOT_IN_CREATIVE_MENU, BlockTags.MINEABLE_BY_PICKAXE, BlockTags.CHAINLINK_FENCES_CONNECT);
 
     public static final @NotNull Block<BlockLogicRepeater> REPEATER_IDLE = register("repeater.idle", "minecraft:block/repeater_idle", 510, (BlockLogicSupplier<BlockLogicRepeater>)b -> new BlockLogicRepeater(b, false))
-        .withSound(BlockSounds.STONE).withHardness(0.0F).withDisabledStats().withDisabledNeighborNotifyOnMetadataChange().withOverrideColor(MaterialColor.redstone).setStatParent(() -> Items.REPEATER)
+        .withSound(BlockSounds.STONE).withHardness(0.0F).withDisabledStats().withOverrideColor(MaterialColor.redstone).setStatParent(() -> Items.REPEATER)
         .withTags(BlockTags.MINEABLE_BY_PICKAXE, BlockTags.BROKEN_BY_FLUIDS, BlockTags.NOT_IN_CREATIVE_MENU, BlockTags.PREVENT_MOB_SPAWNS);
     public static final @NotNull Block<BlockLogicRepeater> REPEATER_ACTIVE = register("repeater.active", "minecraft:block/repeater_active", 511, (BlockLogicSupplier<BlockLogicRepeater>)b -> new BlockLogicRepeater(b, true))
-        .withSound(BlockSounds.STONE).withHardness(0.0F).withLightEmission(0.625F).withDisabledStats().withDisabledNeighborNotifyOnMetadataChange().withOverrideColor(MaterialColor.redstone).setStatParent(() -> REPEATER_IDLE)
+        .withSound(BlockSounds.STONE).withHardness(0.0F).withLightEmission(0.625F).withDisabledStats().withOverrideColor(MaterialColor.redstone).setStatParent(() -> REPEATER_IDLE)
         .withTags(BlockTags.MINEABLE_BY_PICKAXE, BlockTags.BROKEN_BY_FLUIDS, BlockTags.NOT_IN_CREATIVE_MENU, BlockTags.PREVENT_MOB_SPAWNS);
     public static final @NotNull Block<BlockLogicTimer> TIMER = register("timer", "minecraft:block/timer", 512, BlockLogicTimer::new)
-        .withSound(BlockSounds.STONE).withHardness(0.0F).withDisabledStats().withDisabledNeighborNotifyOnMetadataChange().withOverrideColor(MaterialColor.redstone).setStatParent(() -> Items.TIMER)
+        .withSound(BlockSounds.STONE).withHardness(0.0F).withDisabledStats().withOverrideColor(MaterialColor.redstone).setStatParent(() -> Items.TIMER)
         .withTags(BlockTags.MINEABLE_BY_PICKAXE, BlockTags.BROKEN_BY_FLUIDS, BlockTags.NOT_IN_CREATIVE_MENU, BlockTags.PREVENT_MOB_SPAWNS);
 
     public static final @NotNull Block<BlockLogicPistonBase> PISTON_BASE = register("piston.base", "minecraft:block/piston_base", 520, (BlockLogicSupplier<BlockLogicPistonBase>)b -> 
@@ -809,18 +808,18 @@ public final class Blocks {
             b, PistonCommon.TYPE_NORMAL,
             12, 0, 1, EnumDropCause.SILK_TOUCH, Double.NaN
         ))
-        .withSound(BlockSounds.STONE).withDisabledNeighborNotifyOnMetadataChange()
+        .withSound(BlockSounds.STONE)
         .withTags(BlockTags.MINEABLE_BY_PICKAXE);
     public static final @NotNull Block<BlockLogicPistonBase> PISTON_BASE_STICKY = register("piston.base.sticky", "minecraft:block/piston_base_sticky", 521, (BlockLogicSupplier<BlockLogicPistonBase>)b -> 
         new BlockLogicPistonBase(
             b, PistonCommon.TYPE_STICKY,
             12, 12, 1, EnumDropCause.SILK_TOUCH, Double.NaN
         ))
-        .withSound(BlockSounds.STONE).withDisabledNeighborNotifyOnMetadataChange()
+        .withSound(BlockSounds.STONE)
         .withTags(BlockTags.MINEABLE_BY_PICKAXE);
 
     public static final @NotNull Block<BlockLogicPistonHead> PISTON_HEAD = register("piston.head", "minecraft:block/piston_head", 522, (BlockLogicSupplier<BlockLogicPistonHead>)(b) -> new BlockLogicPistonHead(b, 4/16d, 4/16d))
-        .withSound(BlockSounds.WOOD).withDisabledNeighborNotifyOnMetadataChange().withDisabledStats()
+        .withSound(BlockSounds.WOOD).withDisabledStats()
         .withTags(BlockTags.NOT_IN_CREATIVE_MENU, BlockTags.MINEABLE_BY_PICKAXE);
 
     public static final @NotNull Block<BlockLogicPistonMoving> PISTON_MOVING = register("piston.moving", "minecraft:block/piston_moving", 523, BlockLogicPistonMoving::new)
@@ -835,56 +834,56 @@ public final class Blocks {
         .withSound(BlockSounds.METAL)
         .withHardness(5F)
         .withBlastResistance(2000F)
-        .withOverrideColor(MaterialColor.steel).withDisabledNeighborNotifyOnMetadataChange()
+        .withOverrideColor(MaterialColor.steel)
         .withTags(BlockTags.MINEABLE_BY_PICKAXE);
     public static final @NotNull Block<BlockLogicPistonHead> PISTON_HEAD_STEEL = register("piston.head.steel", "minecraft:block/piston_head_steel", 525, (BlockLogicSupplier<BlockLogicPistonHead>)(b) -> new BlockLogicPistonHead(b, 6/16d, 8/16d))
         .withSound(BlockSounds.METAL)
         .withHardness(5F)
         .withBlastResistance(2000F)
         .withOverrideColor(MaterialColor.steel)
-        .withDisabledNeighborNotifyOnMetadataChange().withDisabledStats()
+        .withDisabledStats()
         .withTags(BlockTags.NOT_IN_CREATIVE_MENU, BlockTags.MINEABLE_BY_PICKAXE);
 
     public static final @NotNull Block<?> NOTEBLOCK = register("noteblock", "minecraft:block/noteblock", 530, BlockLogicNote::new)
-        .withSound(BlockSounds.WOOD).withHardness(0.8F).withDisabledNeighborNotifyOnMetadataChange()
+        .withSound(BlockSounds.WOOD).withHardness(0.8F)
         .withTags(BlockTags.MINEABLE_BY_AXE);
 
     public static final @NotNull Block<BlockLogicRail> RAIL = register("rail", "minecraft:block/rail", 540, (BlockLogicSupplier<BlockLogicRail>)b -> new BlockLogicRail(b, false))
-        .withSound(BlockSounds.METAL).withHardness(0.7F).withDisabledNeighborNotifyOnMetadataChange()
+        .withSound(BlockSounds.METAL).withHardness(0.7F)
         .withTags(BlockTags.BROKEN_BY_FLUIDS, BlockTags.MINEABLE_BY_PICKAXE, BlockTags.PREVENT_MOB_SPAWNS);
     public static final @NotNull Block<BlockLogicRail> RAIL_POWERED = register("rail.powered", "minecraft:block/rail_powered", 541, (BlockLogicSupplier<BlockLogicRail>)b -> new BlockLogicRail(b, true))
-        .withSound(BlockSounds.METAL).withHardness(0.7F).withDisabledNeighborNotifyOnMetadataChange()
+        .withSound(BlockSounds.METAL).withHardness(0.7F)
         .withTags(BlockTags.BROKEN_BY_FLUIDS, BlockTags.MINEABLE_BY_PICKAXE, BlockTags.PREVENT_MOB_SPAWNS);
     public static final @NotNull Block<BlockLogicRail> RAIL_DETECTOR = register("rail.detector", "minecraft:block/rail_detector", 542, (BlockLogicSupplier<BlockLogicRail>)BlockLogicRailDetector::new)
-        .withSound(BlockSounds.METAL).withHardness(0.7F).withDisabledNeighborNotifyOnMetadataChange()
+        .withSound(BlockSounds.METAL).withHardness(0.7F)
         .withTags(BlockTags.BROKEN_BY_FLUIDS, BlockTags.MINEABLE_BY_PICKAXE, BlockTags.PREVENT_MOB_SPAWNS);
 
     public static final @NotNull Block<?> SPIKES = register("spikes", "minecraft:block/spikes", 550, (b) -> new BlockLogicSpikes(b, Materials.METAL))
-        .withSound(BlockSounds.METAL).withLightBlock(3).withHardness(2F).withDisabledNeighborNotifyOnMetadataChange()
+        .withSound(BlockSounds.METAL).withLightBlock(3).withHardness(2F)
         .withTags(BlockTags.MINEABLE_BY_PICKAXE);
 
     public static final @NotNull Block<?> DISPENSER_COBBLE_STONE = register("dispenser.cobble.stone", "minecraft:block/dispenser_cobble_stone", 560, BlockLogicDispenser::new)
-        .withSound(BlockSounds.STONE).withHardness(1.5F).withDisabledNeighborNotifyOnMetadataChange()
+        .withSound(BlockSounds.STONE).withHardness(1.5F)
         .withTags(BlockTags.MINEABLE_BY_PICKAXE, BlockTags.PREVENT_MOB_SPAWNS, BlockTags.CHAINLINK_FENCES_CONNECT);
     public static final @NotNull Block<?> ACTIVATOR = register("activator.cobble.netherrack", "minecraft:block/activator_cobble_netherrack", 561, BlockLogicActivator::new)
-        .withSound(BlockSounds.STONE).withHardness(1.5F).withDisabledNeighborNotifyOnMetadataChange()
+        .withSound(BlockSounds.STONE).withHardness(1.5F)
         .withTags(BlockTags.MINEABLE_BY_PICKAXE, BlockTags.CHAINLINK_FENCES_CONNECT, BlockTags.PREVENT_MOB_SPAWNS);
 
     public static final @NotNull Block<?> TRAPDOOR_PLANKS_OAK = register("trapdoor.planks.oak", "minecraft:block/trapdoor_planks_oak", 570, (b) -> new BlockLogicTrapDoor(b, Materials.WOOD))
-        .withSound(BlockSounds.WOOD).withHardness(3F).withDisabledNeighborNotifyOnMetadataChange()
+        .withSound(BlockSounds.WOOD).withHardness(3F)
         .withTags(BlockTags.MINEABLE_BY_AXE);
     public static final @NotNull Block<?> TRAPDOOR_IRON = register("trapdoor.iron", "minecraft:block/trapdoor_iron", 571, (b) -> new BlockLogicTrapDoor(b, Materials.METAL))
-        .withSound(BlockSounds.METAL).withHardness(5F).withDisabledNeighborNotifyOnMetadataChange().withOverrideColor(MaterialColor.iron)
+        .withSound(BlockSounds.METAL).withHardness(5F).withOverrideColor(MaterialColor.iron)
         .withTags(BlockTags.MINEABLE_BY_PICKAXE);
     public static final @NotNull Block<?> TRAPDOOR_GLASS = register("trapdoor.glass", "minecraft:block/trapdoor_glass", 572, (b) -> new BlockLogicTrapDoor(b, Materials.GLASS))
-        .withSound(BlockSounds.GLASS).withHardness(0.3F).withDisabledNeighborNotifyOnMetadataChange()
+        .withSound(BlockSounds.GLASS).withHardness(0.3F)
         .withTags(BlockTags.MINEABLE_BY_PICKAXE);
     public static final @NotNull Block<?> TRAPDOOR_PLANKS_PAINTED = register("trapdoor.planks.oak.painted", "minecraft:block/trapdoor_planks_oak_painted", 573, (b) -> new BlockLogicTrapDoorPainted(b, Materials.WOOD))
-        .withSound(BlockSounds.WOOD).withHardness(3F).withDisabledNeighborNotifyOnMetadataChange()
+        .withSound(BlockSounds.WOOD).withHardness(3F)
         .setBlockItem((b) -> new ItemBlockPainted<>(b, true))
         .withTags(BlockTags.MINEABLE_BY_AXE);
     public static final @NotNull Block<?> TRAPDOOR_STEEL = register("trapdoor.steel", "minecraft:block/trapdoor_steel", 574, (b) -> new BlockLogicTrapDoor(b, Materials.STEEL))
-        .withSound(BlockSounds.METAL).withOverrideColor(MaterialColor.steel).withHardness(5F).withBlastResistance(2000F).withDisabledNeighborNotifyOnMetadataChange().withOverrideColor(MaterialColor.steel)
+        .withSound(BlockSounds.METAL).withOverrideColor(MaterialColor.steel).withHardness(5F).withBlastResistance(2000F).withOverrideColor(MaterialColor.steel)
         .withTags(BlockTags.MINEABLE_BY_PICKAXE);
 
     public static final @NotNull Block<BlockLogicTNT> TNT = register("tnt", "minecraft:block/tnt", 580, BlockLogicTNT::new)
@@ -892,45 +891,45 @@ public final class Blocks {
 
     public static final @NotNull Block<BlockLogicDoor> DOOR_PLANKS_OAK_BOTTOM = register("door.planks.oak.bottom", "minecraft:block/door_planks_oak_bottom", 590,
         (BlockLogicSupplier<BlockLogicDoor>)b -> new BlockLogicDoor(b, Materials.WOOD, false, false, () -> Items.DOOR_OAK))
-        .withSound(BlockSounds.WOOD).withHardness(3F).withDisabledNeighborNotifyOnMetadataChange().setStatParent(() -> Items.DOOR_OAK)
+        .withSound(BlockSounds.WOOD).withHardness(3F).setStatParent(() -> Items.DOOR_OAK)
         .withTags(BlockTags.NOT_IN_CREATIVE_MENU, BlockTags.MINEABLE_BY_AXE);
     public static final @NotNull Block<BlockLogicDoor> DOOR_PLANKS_OAK_TOP = register("door.planks.oak.top", "minecraft:block/doors_planks_oak_top", 591,
         (BlockLogicSupplier<BlockLogicDoor>)b -> new BlockLogicDoor(b, Materials.WOOD, true, false, () -> Items.DOOR_OAK))
-        .withSound(BlockSounds.WOOD).withHardness(3F).withDisabledNeighborNotifyOnMetadataChange().setStatParent(() -> DOOR_PLANKS_OAK_BOTTOM)
+        .withSound(BlockSounds.WOOD).withHardness(3F).setStatParent(() -> DOOR_PLANKS_OAK_BOTTOM)
         .withTags(BlockTags.NOT_IN_CREATIVE_MENU, BlockTags.MINEABLE_BY_AXE);
     public static final @NotNull Block<BlockLogicDoor> DOOR_IRON_BOTTOM = register("door.iron.bottom", "minecraft:block/door_iron_bottom", 592,
         (BlockLogicSupplier<BlockLogicDoor>)b -> new BlockLogicDoor(b, Materials.METAL, false, true, () -> Items.DOOR_IRON))
-        .withSound(BlockSounds.METAL).withHardness(5F).withDisabledNeighborNotifyOnMetadataChange().withOverrideColor(MaterialColor.iron).setStatParent(() -> Items.DOOR_IRON)
+        .withSound(BlockSounds.METAL).withHardness(5F).withOverrideColor(MaterialColor.iron).setStatParent(() -> Items.DOOR_IRON)
         .withTags(BlockTags.NOT_IN_CREATIVE_MENU, BlockTags.MINEABLE_BY_PICKAXE);
     public static final @NotNull Block<BlockLogicDoor> DOOR_IRON_TOP = register("door.iron.top", "minecraft:block/door_iron_top", 593,
         (BlockLogicSupplier<BlockLogicDoor>)b -> new BlockLogicDoor(b, Materials.METAL, true, true, () -> Items.DOOR_IRON))
-        .withSound(BlockSounds.METAL).withHardness(5F).withDisabledNeighborNotifyOnMetadataChange().withOverrideColor(MaterialColor.iron).setStatParent(() -> DOOR_IRON_BOTTOM)
+        .withSound(BlockSounds.METAL).withHardness(5F).withOverrideColor(MaterialColor.iron).setStatParent(() -> DOOR_IRON_BOTTOM)
         .withTags(BlockTags.NOT_IN_CREATIVE_MENU, BlockTags.MINEABLE_BY_PICKAXE);
     public static final @NotNull Block<BlockLogicDoorPainted> DOOR_PLANKS_PAINTED_BOTTOM = register("door.planks.oak.painted.bottom", "minecraft:block/door_planks_oak_painted_bottom", 594,
         (BlockLogicSupplier<BlockLogicDoorPainted>)(b) -> new BlockLogicDoorPainted(b, Materials.WOOD, false))
-        .withSound(BlockSounds.WOOD).withHardness(3F).withDisabledNeighborNotifyOnMetadataChange().setStatParent(() -> Items.DOOR_OAK_PAINTED)
+        .withSound(BlockSounds.WOOD).withHardness(3F).setStatParent(() -> Items.DOOR_OAK_PAINTED)
         .setBlockItem((b) -> new ItemBlockPainted<>(b, true))
         .withTags(BlockTags.NOT_IN_CREATIVE_MENU, BlockTags.MINEABLE_BY_AXE);
     public static final @NotNull Block<BlockLogicDoorPainted> DOOR_PLANKS_PAINTED_TOP = register("door.planks.oak.painted.top", "minecraft:block/door_planks_oak_painted_top", 595,
         (BlockLogicSupplier<BlockLogicDoorPainted>)(b) -> new BlockLogicDoorPainted(b, Materials.WOOD, true))
-        .withSound(BlockSounds.WOOD).withHardness(3F).withDisabledNeighborNotifyOnMetadataChange().setStatParent(() -> DOOR_PLANKS_PAINTED_BOTTOM)
+        .withSound(BlockSounds.WOOD).withHardness(3F).setStatParent(() -> DOOR_PLANKS_PAINTED_BOTTOM)
         .setBlockItem((b) -> new ItemBlockPainted<>(b, true))
         .withTags(BlockTags.NOT_IN_CREATIVE_MENU, BlockTags.MINEABLE_BY_AXE);
     public static final @NotNull Block<BlockLogicDoor> DOOR_GLASS_BOTTOM = register("door.glass.bottom", "minecraft:block/door_glass_bottom", 596,
         (BlockLogicSupplier<BlockLogicDoor>)b -> new BlockLogicDoor(b, Materials.GLASS, false, false, () -> Items.DOOR_GLASS))
-        .withSound(BlockSounds.GLASS).withHardness(0.3F).withDisabledNeighborNotifyOnMetadataChange().setStatParent(() -> Items.DOOR_GLASS)
+        .withSound(BlockSounds.GLASS).withHardness(0.3F).setStatParent(() -> Items.DOOR_GLASS)
         .withTags(BlockTags.NOT_IN_CREATIVE_MENU, BlockTags.MINEABLE_BY_PICKAXE);
     public static final @NotNull Block<BlockLogicDoor> DOOR_GLASS_TOP = register("door.glass.top", "minecraft:block/door_glass_top", 597,
         (BlockLogicSupplier<BlockLogicDoor>)b -> new BlockLogicDoor(b, Materials.GLASS, true, false, () -> Items.DOOR_GLASS))
-        .withSound(BlockSounds.GLASS).withHardness(0.3F).withDisabledNeighborNotifyOnMetadataChange().setStatParent(() -> DOOR_GLASS_BOTTOM)
+        .withSound(BlockSounds.GLASS).withHardness(0.3F).setStatParent(() -> DOOR_GLASS_BOTTOM)
         .withTags(BlockTags.NOT_IN_CREATIVE_MENU, BlockTags.MINEABLE_BY_PICKAXE);
     public static final @NotNull Block<BlockLogicDoor> DOOR_STEEL_BOTTOM = register("door.steel.bottom", "minecraft:block/door_steel_bottom", 598,
         (BlockLogicSupplier<BlockLogicDoor>)b -> new BlockLogicDoor(b, Materials.STEEL, false, true, () -> Items.DOOR_STEEL))
-        .withSound(BlockSounds.METAL).withHardness(5F).withOverrideColor(MaterialColor.steel).withBlastResistance(2000F).withDisabledNeighborNotifyOnMetadataChange().withOverrideColor(MaterialColor.steel).setStatParent(() -> Items.DOOR_STEEL)
+        .withSound(BlockSounds.METAL).withHardness(5F).withOverrideColor(MaterialColor.steel).withBlastResistance(2000F).withOverrideColor(MaterialColor.steel).setStatParent(() -> Items.DOOR_STEEL)
         .withTags(BlockTags.NOT_IN_CREATIVE_MENU, BlockTags.MINEABLE_BY_PICKAXE);
     public static final @NotNull Block<BlockLogicDoor> DOOR_STEEL_TOP = register("door.steel.top", "minecraft:block/door_steel_top", 599,
         (BlockLogicSupplier<BlockLogicDoor>)b -> new BlockLogicDoor(b, Materials.STEEL, true, true, () -> Items.DOOR_STEEL))
-        .withSound(BlockSounds.METAL).withHardness(5F).withOverrideColor(MaterialColor.steel).withBlastResistance(2000F).withDisabledNeighborNotifyOnMetadataChange().withOverrideColor(MaterialColor.steel).setStatParent(() -> DOOR_STEEL_BOTTOM)
+        .withSound(BlockSounds.METAL).withHardness(5F).withOverrideColor(MaterialColor.steel).withBlastResistance(2000F).withOverrideColor(MaterialColor.steel).setStatParent(() -> DOOR_STEEL_BOTTOM)
         .withTags(BlockTags.NOT_IN_CREATIVE_MENU, BlockTags.MINEABLE_BY_PICKAXE);
 
     public static final @NotNull Block<?> MESH = register("mesh", "minecraft:block/mesh", 600, BlockLogicMesh::new)
@@ -941,10 +940,10 @@ public final class Blocks {
         .withTags(BlockTags.MINEABLE_BY_PICKAXE, BlockTags.CHAINLINK_FENCES_CONNECT, BlockTags.CAN_HANG_OFF);
 
     public static final @NotNull Block<BlockLogicBed> BED = register("bed", "minecraft:block/bed", 610, BlockLogicBed::new)
-        .withSound(BlockSounds.WOOD).withHardness(0.2F).withDisabledNeighborNotifyOnMetadataChange().withLitInteriorSurface(true).setStatParent(() -> Items.BED)
+        .withSound(BlockSounds.WOOD).withHardness(0.2F).withLitInteriorSurface(true).setStatParent(() -> Items.BED)
         .withTags(BlockTags.NOT_IN_CREATIVE_MENU, BlockTags.MINEABLE_BY_AXE);
     public static final @NotNull Block<?> SEAT = register("seat", "minecraft:block/seat", 611, BlockLogicSeat::new)
-        .withSound(BlockSounds.WOOD).withHardness(0.2F).withDisabledNeighborNotifyOnMetadataChange().setStatParent(() -> Items.SEAT)
+        .withSound(BlockSounds.WOOD).withHardness(0.2F).setStatParent(() -> Items.SEAT)
         .withTags(BlockTags.NOT_IN_CREATIVE_MENU, BlockTags.MINEABLE_BY_AXE);
 
     public static final @NotNull Block<?> COBWEB = register("cobweb", "minecraft:block/cobweb", 620, (b) -> new BlockLogicCobweb(b, Materials.WEB))
@@ -952,7 +951,7 @@ public final class Blocks {
         .withTags(BlockTags.SHEARS_DO_SILK_TOUCH, BlockTags.MINEABLE_BY_SHEARS, BlockTags.MINEABLE_BY_SWORD);
 
     public static final @NotNull Block<BlockLogicFire> FIRE = register("fire", "minecraft:block/fire", 630, BlockLogicFire::new)
-        .withSound(BlockSounds.FIRE).withHardness(0.0F).withLightEmission(1.0F).withDisabledStats().withDisabledNeighborNotifyOnMetadataChange()
+        .withSound(BlockSounds.FIRE).withHardness(0.0F).withLightEmission(1.0F).withDisabledStats()
         .withTags(BlockTags.BROKEN_BY_FLUIDS, BlockTags.PLACE_OVERWRITES, BlockTags.NOT_IN_CREATIVE_MENU);
     public static final @NotNull Block<BlockLogicBrazier> BRAZIER_INACTIVE = register("brazier.inactive", "minecraft:block/brazier_inactive", 631, (BlockLogicSupplier<BlockLogicBrazier>)b -> new BlockLogicBrazier(b, false))
         .withSound(BlockSounds.METAL).withHardness(1.5F)
@@ -961,10 +960,10 @@ public final class Blocks {
         .withSound(BlockSounds.FIRE).withHardness(1.5F).withLightEmission(1.0F).setStatParent(() -> BRAZIER_INACTIVE)
         .withTags(BlockTags.NOT_IN_CREATIVE_MENU, BlockTags.MINEABLE_BY_PICKAXE);
     public static final @NotNull Block<BlockLogicFireCold> FIRE_COLD = register("fire_cold", "minecraft:block/fire_cold", 633, BlockLogicFireCold::new)
-        .withSound(BlockSounds.FIRE).withHardness(0.0F).withLightEmission(1.0F).withDisabledStats().withDisabledNeighborNotifyOnMetadataChange()
+        .withSound(BlockSounds.FIRE).withHardness(0.0F).withLightEmission(1.0F).withDisabledStats()
         .withTags(BlockTags.BROKEN_BY_FLUIDS, BlockTags.PLACE_OVERWRITES, BlockTags.NOT_IN_CREATIVE_MENU);
     public static final @NotNull Block<BlockLogicFireSulfuric> FIRE_SULFURIC = register("fire_sulfuric", "minecraft:block/fire_sulfuric", 634, BlockLogicFireSulfuric::new)
-        .withSound(BlockSounds.FIRE).withHardness(0.0F).withLightEmission(1.0F).withDisabledStats().withDisabledNeighborNotifyOnMetadataChange()
+        .withSound(BlockSounds.FIRE).withHardness(0.0F).withLightEmission(1.0F).withDisabledStats()
         .withTags(BlockTags.BROKEN_BY_FLUIDS, BlockTags.PLACE_OVERWRITES, BlockTags.NOT_IN_CREATIVE_MENU, BlockTags.SULFURIC_FIRE_OVERLAY_SOURCE);
 
     public static final @NotNull Block<?> MOBSPAWNER = register("mobspawner", "minecraft:block/mobspawner", 640, BlockLogicMobSpawner::new)
@@ -981,23 +980,23 @@ public final class Blocks {
         .withTags(BlockTags.FENCES_CONNECT, BlockTags.MINEABLE_BY_AXE);
 
     public static final @NotNull Block<?> FURNACE_STONE_IDLE = register("furnace.stone.idle", "minecraft:block/furnace_stone_idle", 660, (b) -> new BlockLogicFurnace(b, false))
-        .withSound(BlockSounds.STONE).withHardness(3.5F).withDisabledNeighborNotifyOnMetadataChange()
+        .withSound(BlockSounds.STONE).withHardness(3.5F)
         .withTags(BlockTags.MINEABLE_BY_PICKAXE);
     public static final @NotNull Block<?> FURNACE_STONE_ACTIVE = register("furnace.stone.active", "minecraft:block/furnace_stone_active", 661, (b) -> new BlockLogicFurnace(b, true))
-        .withSound(BlockSounds.STONE).withHardness(3.5F).withLightEmission(0.875F).withDisabledNeighborNotifyOnMetadataChange().setStatParent(() -> FURNACE_STONE_IDLE)
+        .withSound(BlockSounds.STONE).withHardness(3.5F).withLightEmission(0.875F).setStatParent(() -> FURNACE_STONE_IDLE)
         .withTags(BlockTags.NOT_IN_CREATIVE_MENU, BlockTags.MINEABLE_BY_PICKAXE);
     public static final @NotNull Block<?> FURNACE_BLAST_IDLE = register("furnace.blast.idle", "minecraft:block/furnace_blast_idle", 662, (b) -> new BlockLogicFurnaceBlast(b, false))
-        .withSound(BlockSounds.METAL).withHardness(3.5F).withDisabledNeighborNotifyOnMetadataChange().withOverrideColor(MaterialColor.steel)
+        .withSound(BlockSounds.METAL).withHardness(3.5F).withOverrideColor(MaterialColor.steel)
         .withTags(BlockTags.MINEABLE_BY_PICKAXE);
     public static final @NotNull Block<?> FURNACE_BLAST_ACTIVE = register("furnace.blast.active", "minecraft:block/furnace_blast_active", 663, (b) -> new BlockLogicFurnaceBlast(b, true))
-        .withSound(BlockSounds.METAL).withHardness(3.5F).withLightEmission(0.875F).withDisabledNeighborNotifyOnMetadataChange().withOverrideColor(MaterialColor.steel).setStatParent(() -> FURNACE_BLAST_IDLE)
+        .withSound(BlockSounds.METAL).withHardness(3.5F).withLightEmission(0.875F).withOverrideColor(MaterialColor.steel).setStatParent(() -> FURNACE_BLAST_IDLE)
         .withTags(BlockTags.NOT_IN_CREATIVE_MENU, BlockTags.MINEABLE_BY_PICKAXE);
 
     public static final @NotNull Block<?> TROMMEL_IDLE = register("trommel.idle", "minecraft:block/trommel_idle", 670, (b) -> new BlockLogicTrommel(b, Materials.STONE, false))
-        .withSound(BlockSounds.STONE).withHardness(3.5F).withDisabledNeighborNotifyOnMetadataChange()
+        .withSound(BlockSounds.STONE).withHardness(3.5F)
         .withTags(BlockTags.MINEABLE_BY_PICKAXE);
     public static final @NotNull Block<?> TROMMEL_ACTIVE = register("trommel.active", "minecraft:block/trommel_active", 671, (b) -> new BlockLogicTrommel(b, Materials.STONE, true))
-        .withSound(BlockSounds.STONE).withHardness(3.5F).withLightEmission(0.875F).withDisabledNeighborNotifyOnMetadataChange().setStatParent(() -> TROMMEL_IDLE)
+        .withSound(BlockSounds.STONE).withHardness(3.5F).withLightEmission(0.875F).setStatParent(() -> TROMMEL_IDLE)
         .withTags(BlockTags.NOT_IN_CREATIVE_MENU, BlockTags.MINEABLE_BY_PICKAXE);
 
     @SuppressWarnings("deprecation")
